Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentCreaterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentCreaterTest.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.ArchitectureManipulators;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentDeleterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentDeleterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentDeleterTest.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.ArchitectureManipulators;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentDuplicaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentDuplicaterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ArgumentDuplicaterTest.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.ArchitectureManipulators;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Grammars.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Grammars.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Grammars.cs	(revision 4068)
@@ -20,12 +20,6 @@
 #endregion
 
-using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Symbols;
 
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ProbabilisticTreeCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ProbabilisticTreeCreaterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/ProbabilisticTreeCreaterTest.cs	(revision 4068)
@@ -21,12 +21,9 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineCreaterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineCreaterTest.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.ArchitectureManipulators;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineDeleterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineDeleterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineDeleterTest.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.ArchitectureManipulators;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineDuplicaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineDuplicaterTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubroutineDuplicaterTest.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.ArchitectureManipulators;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubtreeCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubtreeCrossoverTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/SubtreeCrossoverTest.cs	(revision 4068)
@@ -21,13 +21,11 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
-using System.Linq;
+using System.Diagnostics;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Crossovers;
+using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Crossovers;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Creators;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Util.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Util.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/Tests/Util.cs	(revision 4068)
@@ -21,11 +21,9 @@
 
 using System;
-using System.Text;
 using System.Collections.Generic;
 using System.Linq;
+using System.Text;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using System.Diagnostics;
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding_3._3.Tests {
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/Properties/AssemblyInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/Properties/AssemblyInfo.cs	(revision 4068)
@@ -1,4 +1,3 @@
 ﻿using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/ablasf.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/ablasf.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/ablasf.cs	(revision 4068)
@@ -19,326 +19,311 @@
 *************************************************************************/
 
-using System;
-
-namespace alglib
-{
-    public class ablasf
-    {
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool cmatrixrank1f(int m,
-            int n,
-            ref AP.Complex[,] a,
-            int ia,
-            int ja,
-            ref AP.Complex[] u,
-            int iu,
-            ref AP.Complex[] v,
-            int iv)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool rmatrixrank1f(int m,
-            int n,
-            ref double[,] a,
-            int ia,
-            int ja,
-            ref double[] u,
-            int iu,
-            ref double[] v,
-            int iv)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool cmatrixmvf(int m,
-            int n,
-            ref AP.Complex[,] a,
-            int ia,
-            int ja,
-            int opa,
-            ref AP.Complex[] x,
-            int ix,
-            ref AP.Complex[] y,
-            int iy)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool rmatrixmvf(int m,
-            int n,
-            ref double[,] a,
-            int ia,
-            int ja,
-            int opa,
-            ref double[] x,
-            int ix,
-            ref double[] y,
-            int iy)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool cmatrixrighttrsmf(int m,
-            int n,
-            ref AP.Complex[,] a,
-            int i1,
-            int j1,
-            bool isupper,
-            bool isunit,
-            int optype,
-            ref AP.Complex[,] x,
-            int i2,
-            int j2)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool cmatrixlefttrsmf(int m,
-            int n,
-            ref AP.Complex[,] a,
-            int i1,
-            int j1,
-            bool isupper,
-            bool isunit,
-            int optype,
-            ref AP.Complex[,] x,
-            int i2,
-            int j2)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool rmatrixrighttrsmf(int m,
-            int n,
-            ref double[,] a,
-            int i1,
-            int j1,
-            bool isupper,
-            bool isunit,
-            int optype,
-            ref double[,] x,
-            int i2,
-            int j2)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool rmatrixlefttrsmf(int m,
-            int n,
-            ref double[,] a,
-            int i1,
-            int j1,
-            bool isupper,
-            bool isunit,
-            int optype,
-            ref double[,] x,
-            int i2,
-            int j2)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool cmatrixsyrkf(int n,
-            int k,
-            double alpha,
-            ref AP.Complex[,] a,
-            int ia,
-            int ja,
-            int optypea,
-            double beta,
-            ref AP.Complex[,] c,
-            int ic,
-            int jc,
-            bool isupper)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool rmatrixsyrkf(int n,
-            int k,
-            double alpha,
-            ref double[,] a,
-            int ia,
-            int ja,
-            int optypea,
-            double beta,
-            ref double[,] c,
-            int ic,
-            int jc,
-            bool isupper)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool rmatrixgemmf(int m,
-            int n,
-            int k,
-            double alpha,
-            ref double[,] a,
-            int ia,
-            int ja,
-            int optypea,
-            ref double[,] b,
-            int ib,
-            int jb,
-            int optypeb,
-            double beta,
-            ref double[,] c,
-            int ic,
-            int jc)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-
-
-        /*************************************************************************
-        Fast kernel
-
-          -- ALGLIB routine --
-             19.01.2010
-             Bochkanov Sergey
-        *************************************************************************/
-        public static bool cmatrixgemmf(int m,
-            int n,
-            int k,
-            AP.Complex alpha,
-            ref AP.Complex[,] a,
-            int ia,
-            int ja,
-            int optypea,
-            ref AP.Complex[,] b,
-            int ib,
-            int jb,
-            int optypeb,
-            AP.Complex beta,
-            ref AP.Complex[,] c,
-            int ic,
-            int jc)
-        {
-            bool result = new bool();
-
-            result = false;
-            return result;
-        }
-    }
+
+namespace alglib {
+  public class ablasf {
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool cmatrixrank1f(int m,
+        int n,
+        ref AP.Complex[,] a,
+        int ia,
+        int ja,
+        ref AP.Complex[] u,
+        int iu,
+        ref AP.Complex[] v,
+        int iv) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool rmatrixrank1f(int m,
+        int n,
+        ref double[,] a,
+        int ia,
+        int ja,
+        ref double[] u,
+        int iu,
+        ref double[] v,
+        int iv) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool cmatrixmvf(int m,
+        int n,
+        ref AP.Complex[,] a,
+        int ia,
+        int ja,
+        int opa,
+        ref AP.Complex[] x,
+        int ix,
+        ref AP.Complex[] y,
+        int iy) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool rmatrixmvf(int m,
+        int n,
+        ref double[,] a,
+        int ia,
+        int ja,
+        int opa,
+        ref double[] x,
+        int ix,
+        ref double[] y,
+        int iy) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool cmatrixrighttrsmf(int m,
+        int n,
+        ref AP.Complex[,] a,
+        int i1,
+        int j1,
+        bool isupper,
+        bool isunit,
+        int optype,
+        ref AP.Complex[,] x,
+        int i2,
+        int j2) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool cmatrixlefttrsmf(int m,
+        int n,
+        ref AP.Complex[,] a,
+        int i1,
+        int j1,
+        bool isupper,
+        bool isunit,
+        int optype,
+        ref AP.Complex[,] x,
+        int i2,
+        int j2) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool rmatrixrighttrsmf(int m,
+        int n,
+        ref double[,] a,
+        int i1,
+        int j1,
+        bool isupper,
+        bool isunit,
+        int optype,
+        ref double[,] x,
+        int i2,
+        int j2) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool rmatrixlefttrsmf(int m,
+        int n,
+        ref double[,] a,
+        int i1,
+        int j1,
+        bool isupper,
+        bool isunit,
+        int optype,
+        ref double[,] x,
+        int i2,
+        int j2) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool cmatrixsyrkf(int n,
+        int k,
+        double alpha,
+        ref AP.Complex[,] a,
+        int ia,
+        int ja,
+        int optypea,
+        double beta,
+        ref AP.Complex[,] c,
+        int ic,
+        int jc,
+        bool isupper) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool rmatrixsyrkf(int n,
+        int k,
+        double alpha,
+        ref double[,] a,
+        int ia,
+        int ja,
+        int optypea,
+        double beta,
+        ref double[,] c,
+        int ic,
+        int jc,
+        bool isupper) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool rmatrixgemmf(int m,
+        int n,
+        int k,
+        double alpha,
+        ref double[,] a,
+        int ia,
+        int ja,
+        int optypea,
+        ref double[,] b,
+        int ib,
+        int jb,
+        int optypeb,
+        double beta,
+        ref double[,] c,
+        int ic,
+        int jc) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+
+
+    /*************************************************************************
+    Fast kernel
+
+      -- ALGLIB routine --
+         19.01.2010
+         Bochkanov Sergey
+    *************************************************************************/
+    public static bool cmatrixgemmf(int m,
+        int n,
+        int k,
+        AP.Complex alpha,
+        ref AP.Complex[,] a,
+        int ia,
+        int ja,
+        int optypea,
+        ref AP.Complex[,] b,
+        int ib,
+        int jb,
+        int optypeb,
+        AP.Complex beta,
+        ref AP.Complex[,] c,
+        int ic,
+        int jc) {
+      bool result = new bool();
+
+      result = false;
+      return result;
+    }
+  }
 }
